# Uses of Enum
io.dapr.client.domain.UnlockResponseStatus

Packages that use UnlockResponseStatus
Package
Description
io.dapr.client
io.dapr.client.domain

## Uses of UnlockResponseStatus in io.dapr.client

Methods in io.dapr.client that return types with arguments of type UnlockResponseStatus
Modifier and Type
Method
Description
`reactor.core.publisher.Mono<UnlockResponseStatus>`
DaprClientImpl.`unlock(UnlockRequest request)`
Unlocks a lock.
`reactor.core.publisher.Mono<UnlockResponseStatus>`
DaprPreviewClient.`unlock(UnlockRequest request)`
Unlocks a lock.
`reactor.core.publisher.Mono<UnlockResponseStatus>`
DaprPreviewClient.`unlock(String storeName, String resourceId, String lockOwner)`
Unlocks a lock.

## Uses of UnlockResponseStatus in io.dapr.client.domain

Methods in io.dapr.client.domain that return UnlockResponseStatus
Modifier and Type
Method
Description
`static UnlockResponseStatus`
UnlockResponseStatus.`valueOf(int code)`
Convert the status code to a UnlockResponseStatus object.
`static UnlockResponseStatus`
UnlockResponseStatus.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static UnlockResponseStatus[]`
UnlockResponseStatus.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.